package wtf.opal.event.impl.game.player.movement.step;

import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;
import net.minecraft.util.math.Vec3d;
import wtf.opal.event.EventCancellable;

@Environment(EnvType.CLIENT)
public final class StepSuccessEvent extends EventCancellable {
   private Vec3d movement;
   private Vec3d adjustedVec;

   public StepSuccessEvent(Vec3d movement, Vec3d adjustedVec) {
      this.movement = movement;
      this.adjustedVec = adjustedVec;
   }

   public Vec3d getMovement() {
      return this.movement;
   }

   public void setAdjustedVec(Vec3d adjustedVec) {
      this.adjustedVec = adjustedVec;
   }

   public void setMovement(Vec3d movement) {
      this.movement = movement;
   }

   public Vec3d getAdjustedVec() {
      return this.adjustedVec;
   }
}
